Bug 131209 - RFE: Can autofs be used in next release for "in-place" mounts?
RFE: Can autofs be used in next release for "in-place" mounts?
Product: Fedora
Classification: Fedora
Component: am-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-08-29 19:29 EDT by Greg Morgan
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-03 12:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Greg Morgan 2004-08-29 19:29:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I was reading the "Linux NFS and Automounter Administration" book.  It
sounds like there is some real potential for using the autofs for some
of the amd mounts.  The FC Linux kernels have suport already built in
[drkludge@kids drkludge]$ more /proc/filesystems
nodev   sysfs
nodev   nfs
nodev   nfs4
nodev   autofs
The only thing that is required is am-utils-6.1 or better.  Would you
please evaluate if the amd 6.1 code base is at a useable state to
support autofs?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.This is an RFE.  The current package, am-utils-6.0.9-6.1, does not
contain autofs support.
2./usr/sbin/amd -v
3. autofs is missing from this line
FS: iso9660, lofs, nfs, nfs3, msdos, tmpfs, ext2.

Actual Results:  Output of /usr/sbin/amd -v follows
/usr/sbin/amd -v
am-utils version 6.0.9 (build 1).
Built by root@tweety.devel.redhat.com on date Thu Mar  4 22:31:55 EST
cpu=i386 (little-endian), arch=i386, karch=i686.
full_os=linux, os=linux, osver=2.4.21-4.ELsmp, vendor=redhat.
Map support for: root, passwd, hesiod, ldap, union, nisplus, nis,
ndbm, file, error.
AMFS: nfs, link, nfsx, nfsl, host, linkx, program, union, inherit,
      ufs, lofs, cdfs, pcfs, auto, direct, toplvl, error.
FS: iso9660, lofs, nfs, nfs3, msdos, tmpfs, ext2.

Expected Results:  /usr/sbin/amd -v
FS: autofs, iso9660, lofs, nfs, nfs3, msdos, tmpfs, ext2.

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:00:12 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Greg Morgan 2005-04-26 22:55:04 EDT
I changed the release to FC 3.  Is this the best way to keep this RFE in the queue?
Comment 3 Matthew Miller 2005-04-26 23:01:31 EDT
Probably 'devel' is even better, since all of the current development is on FC4
(and in a few months, will be on FC5). And the devel tree still has am-utils-6.0.9.

But, maybe I'm missing something -- why not just use the autofs package?
Comment 4 Peter Vrabec 2005-10-03 12:52:46 EDT
am-utils-6.1.1-2 is already in devel.

Note You need to log in before you can comment on or make changes to this bug.